#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	pyparsing
Summary:	pyparsing - a Python module for creating executing simple grammars
Summary(pl.UTF-8):	pyparsing - moduł Pythona umożliwiający tworzenie i parsowanie prostych gramatyk
Name:		python-%{module}
Version:	2.2.0
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/pyparsing/%{module}-%{version}.tar.gz
# Source0-md5:	0214e42d63af850256962b6744c948d9
URL:		http://pyparsing.sourceforge.net/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%endif
Requires:	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The parsing module is an alternative approach to creating and
executing simple grammars, vs. the traditional lex/yacc approach, or
the use of regular expressions. The parsing module provides a library
of classes that client code uses to construct the grammar directly in
Python code.

%description -l pl.UTF-8
Moduł pyparsing umożliwia tworzenie i parsowanie prostych gramatyk w
sposób odmienny od podejścia tradycyjnego, jakim jest zwykle użycie
pary lex/yacc lub wyrażeń regularnych. Moduł ten udostępnia bibliotekę
klas, przy pomocy których gramatyka tworzona jest wprost w kodzie
Pythona.

%package -n python3-%{module}
Summary:	pyparsing - a Python3 module for creating executing simple grammars
Summary(pl.UTF-8):	pyparsing - moduł Pythona3 umożliwiający tworzenie i parsowanie prostych gramatyk
Group:		Libraries/Python

%description -n python3-%{module}
The parsing module is an alternative approach to creating and
executing simple grammars, vs. the traditional lex/yacc approach, or
the use of regular expressions. The parsing module provides a library
of classes that client code uses to construct the grammar directly in
Python code.

%description -n python3-%{module} -l pl.UTF-8
Moduł pyparsing umożliwia tworzenie i parsowanie prostych gramatyk w
sposób odmienny od podejścia tradycyjnego, jakim jest zwykle użycie
pary lex/yacc lub wyrażeń regularnych. Moduł ten udostępnia bibliotekę
klas, przy pomocy których gramatyka tworzona jest wprost w kodzie
Pythona.

%package doc
Summary:	Documentation for pyparsing module
Summary(pl.UTF-8):	Dokumentacja do modułu pyparsing
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for pyparsing Python module.

%description doc -l pl.UTF-8
Pakiet zawierający dokumentację dla modułu Pythona pyparsing.

%package examples
Summary:	Examples for pyparsing module
Summary(pl.UTF-8):	Przykłady do modułu pyparsing
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example files for pyparsing Python module.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe skrypty dla modułu Pythona pyparsing.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version}}

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README
%{py_sitescriptdir}/pyparsing.py[co]
%{py_sitescriptdir}/pyparsing-*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES LICENSE README
%{py3_sitescriptdir}/pyparsing.py
%{py3_sitescriptdir}/__pycache__/pyparsing*.py[co]
%{py3_sitescriptdir}/pyparsing-*.egg-info
%endif

%files doc
%defattr(644,root,root,755)
%doc HowToUsePyparsing.html htmldoc pyparsingClassDiagram.{JPG,PNG}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Apr 06 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyparsing.git;a=log;h=master

* Thu Apr 06 2017 Jakub Bogusz <qboosh@pld-linux.org> 1b756be
- updated to 2.2.0

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 9dad9a3
- python 3.6
- release 2 (by relup.sh)

* Mon Dec 26 2016 Jakub Bogusz <qboosh@pld-linux.org> e4aedfa
- updated to 2.1.10

* Fri May 13 2016 Jakub Bogusz <qboosh@pld-linux.org> 5291fbb
- updated to 2.1.4

* Sun Apr 03 2016 Jakub Bogusz <qboosh@pld-linux.org> cdfeea3
- updated to 2.1.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 80f0263
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d2a4c9c
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f6ee406
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7182012
- release 3 (by relup.sh)

* Sat Dec 13 2014 Elan Ruusamäe <glen@delfi.ee> 7a98a9f
- use build base instead of copying dirs; build, not build_ext

* Sat Dec 13 2014 Jan Rękorajski <baggins@pld-linux.org> 3bb0455
- added python3 package
- rel 2

* Mon Oct 07 2013 Mateusz Korniak <matkor@pld-linux.org> 21d49c0
- Version 2.0.1-1.

* Fri Dec 03 2010 Jakub Bogusz <qboosh@pld-linux.org> 82d465d
- updated to 1.5.5

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bf9bccb
- release 2

* Fri Dec 26 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 5981dfe
- updated to 1.5.1

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ba1b770
- release 2

* Fri May 25 2007 beorn <beorn@pld-linux.org> ecb2c6c
- up to 1.4.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4c41b8a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bd64dee
- converted to UTF-8

* Sun Dec 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 60e8197
- updated to 1.4.5
- added .egg-info for python 2.5

